## ros-melodic-fetch-description 0.8.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(fetch_description)

find_package(catkin)
catkin_package()

install(DIRECTORY meshes
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY robots
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-melodic-fetch-description 0.8.2

=== debian/changelog ===
ros-melodic-fetch-description (0.8.2-1stretch) stretch; urgency=high

  * License: CC BY-NC-SA 4.0 (Remove ND) (#123 <https://github.com/fetchrobotics/fetch_ros/issues/123>)
    This addresses https://github.com/fetchrobotics/fetch_ros/issues/93
    It still does not address all points raised, but we believe this is
    better than CC-BY-NC-ND as it allows derivatives to be shared.
  * Contributors: Alex Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-description (0.8.1-1stretch) stretch; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * Added fixed dae models compatible with OpenWebGL (#105 <https://github.com/fetchrobotics/fetch_ros/issues/105>)
  * Contributors: Alexander Moriarty, Miguel Angel Rodríguez

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-melodic-fetch-description (0.8.0-1stretch) stretch; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Contributors: Alex Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-melodic-fetch-description (0.7.14-1stretch) stretch; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-melodic-fetch-description (0.7.13-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-fetch-description (0.7.12-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-melodic-fetch-description (0.7.11-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-melodic-fetch-description (0.7.10-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.9-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.8-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.7-1stretch) stretch; urgency=high

  * add base camera links to freight URDF
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.6-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.5-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.4-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.3-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-melodic-fetch-description (0.7.2-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-melodic-fetch-description (0.7.1-1stretch) stretch; urgency=high

  * update torso throw to match rev2 hardware
  * make laser actually level
  * update gripper model
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000

ros-melodic-fetch-description (0.7.0-1stretch) stretch; urgency=high

  * update limits of wrist flex
  * remove duplicated inertia entries, fixes #14 <https://github.com/fetchrobotics/fetch_ros/issues/14>
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 29 Sep 2015 07:00:00 -0000

ros-melodic-fetch-description (0.6.2-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-melodic-fetch-description (0.6.1-1stretch) stretch; urgency=high

  * specify a license
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-melodic-fetch-description (0.6.0-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.14-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 19 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.13-1stretch) stretch; urgency=high

  * add dynamics to arm joints for simulation
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.12-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.11-1stretch) stretch; urgency=high

  * remove laser opening from collision mesh
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 10 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.10-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.9-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.8-1stretch) stretch; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.7-1stretch) stretch; urgency=high





=== debian/control ===
Source: ros-melodic-fetch-description
Section: misc
Priority: extra
Maintainer: Russell Toris <rtoris@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://docs.fetchrobotics.com/robot_hardware.html
Standards-Version: 3.9.2

Package: ros-melodic-fetch-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-urdf, ros-melodic-xacro
Description: URDF for Fetch Robot.

## ros-melodic-fetch-description 0.8.3

=== debian/changelog ===
ros-melodic-fetch-description (0.8.3-1bionic) bionic; urgency=high

  * Initial noetic release
  * Manually revert textures on URDF models (#154 <https://github.com/fetchrobotics/fetch_ros/issues/154>)
  * Updates maintainers
  * Contributors: Alex Moriarty, Eric Relson, Russell Toris

 -- Eric Relson <erelson@fetchrobotics.com>  Sat, 06 Mar 2021 08:00:00 -0000

ros-melodic-fetch-description (0.8.2-1bionic) bionic; urgency=high

  * License: CC BY-NC-SA 4.0 (Remove ND) (#123 <https://github.com/fetchrobotics/fetch_ros/issues/123>)
    This addresses https://github.com/fetchrobotics/fetch_ros/issues/93
    It still does not address all points raised, but we believe this is
    better than CC-BY-NC-ND as it allows derivatives to be shared.
  * Contributors: Alex Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-description (0.8.1-1bionic) bionic; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * Added fixed dae models compatible with OpenWebGL (#105 <https://github.com/fetchrobotics/fetch_ros/issues/105>)
  * Contributors: Alexander Moriarty, Miguel Angel Rodríguez

 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-melodic-fetch-description (0.8.0-1bionic) bionic; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Contributors: Alex Moriarty

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-melodic-fetch-description (0.7.14-1bionic) bionic; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-melodic-fetch-description (0.7.13-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-fetch-description (0.7.12-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-melodic-fetch-description (0.7.11-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-melodic-fetch-description (0.7.10-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.9-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.8-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.7-1bionic) bionic; urgency=high

  * add base camera links to freight URDF
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.6-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.5-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.4-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-melodic-fetch-description (0.7.3-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-melodic-fetch-description (0.7.2-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-melodic-fetch-description (0.7.1-1bionic) bionic; urgency=high

  * update torso throw to match rev2 hardware
  * make laser actually level
  * update gripper model
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000

ros-melodic-fetch-description (0.7.0-1bionic) bionic; urgency=high

  * update limits of wrist flex
  * remove duplicated inertia entries, fixes #14 <https://github.com/fetchrobotics/fetch_ros/issues/14>
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 29 Sep 2015 07:00:00 -0000

ros-melodic-fetch-description (0.6.2-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-melodic-fetch-description (0.6.1-1bionic) bionic; urgency=high

  * specify a license
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-melodic-fetch-description (0.6.0-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.14-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 19 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.13-1bionic) bionic; urgency=high

  * add dynamics to arm joints for simulation
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.12-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.11-1bionic) bionic; urgency=high

  * remove laser opening from collision mesh
  * Contributors: Michael Ferguson

 -- Russell Toris <rtoris@fetchrobotics.com>  Wed, 10 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.10-1bionic) bionic; urgency=high



 -- Russell Toris <rtoris@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-melodic-fetch-description (0.5.9-1bionic) bionic; urgency=high





=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-fetch-description
 Section: misc
-Priority: extra
-Maintainer: Russell Toris <rtoris@fetchrobotics.com>
+Priority: optional
+Maintainer: Eric Relson <erelson@fetchrobotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
 Homepage: http://docs.fetchrobotics.com/robot_hardware.html
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-fetch-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
